if exists (select * 
		from INFORMATION_SCHEMA.COLUMNS
		where TABLE_SCHEMA = 'IES' and table_name = 'T_INTEGRATION_QUEUE' and COLUMN_NAME = 'type_')
BEGIN
ALTER TABLE IES.T_INTEGRATION_QUEUE DROP CONSTRAINT FK_T_ENTITIES_T_INTEGRATION_QUEUE_TYPE_

ALTER TABLE IES.T_INTEGRATION_QUEUE DROP COLUMN type_
END